Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040PatientRole

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040PatientRoleImpl

    public interface POCDMT000040PatientRole

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Patient Role'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Id`
- `Addr`
- `Telecom`
- `Patient`
- `Provider Organization`
- `Class Code`
- `Null Flavor`

See Also:
  `CDAR2Package.getPOCDMT000040PatientRole()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAddr()` Returns the value of the 'Addr' containment reference list.
`java.lang.Object` | `getClassCode()` Returns the value of the 'Class Code' attribute.
`org.eclipse.emf.common.util.EList` | `getId()` Returns the value of the 'Id' containment reference list.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`POCDMT000040Patient` | `getPatient()` Returns the value of the 'Patient' containment reference.
`POCDMT000040Organization` | `getProviderOrganization()` Returns the value of the 'Provider Organization' containment reference.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`org.eclipse.emf.common.util.EList` | `getTelecom()` Returns the value of the 'Telecom' containment reference list.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`boolean` | `isSetClassCode()` Returns whether the value of the '`Class Code`' attribute is set.
`void` | `setClassCode(java.lang.Object value)` Sets the value of the '`Class Code`' attribute.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setPatient(POCDMT000040Patient value)` Sets the value of the '`Patient`' containment reference.
`void` | `setProviderOrganization(POCDMT000040Organization value)` Sets the value of the '`Provider Organization`' containment reference.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.
`void` | `unsetClassCode()` Unsets the value of the '`Class Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040PatientRole_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040PatientRole_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040PatientRole_TemplateId()`

### getId

    org.eclipse.emf.common.util.EList getId()

  Returns the value of the 'Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040PatientRole_Id()`

### getAddr

    org.eclipse.emf.common.util.EList getAddr()

  Returns the value of the 'Addr' containment reference list. The list contents are of type `AD`.

  If the meaning of the 'Addr' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Addr' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040PatientRole_Addr()`

### getTelecom

    org.eclipse.emf.common.util.EList getTelecom()

  Returns the value of the 'Telecom' containment reference list. The list contents are of type `TEL`.

  If the meaning of the 'Telecom' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Telecom' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040PatientRole_Telecom()`

### getPatient

    POCDMT000040Patient getPatient()

  Returns the value of the 'Patient' containment reference.

  If the meaning of the 'Patient' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Patient' containment reference.
  See Also:
    `setPatient(POCDMT000040Patient)`, `CDAR2Package.getPOCDMT000040PatientRole_Patient()`

### setPatient

    void setPatient(POCDMT000040Patient value)

  Sets the value of the '`Patient`' containment reference.

  Parameters:
    `value` - the new value of the 'Patient' containment reference.
  See Also:
    `getPatient()`

### getProviderOrganization

    POCDMT000040Organization getProviderOrganization()

  Returns the value of the 'Provider Organization' containment reference.

  If the meaning of the 'Provider Organization' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Provider Organization' containment reference.
  See Also:
    `setProviderOrganization(POCDMT000040Organization)`, `CDAR2Package.getPOCDMT000040PatientRole_ProviderOrganization()`

### setProviderOrganization

    void setProviderOrganization(POCDMT000040Organization value)

  Sets the value of the '`Provider Organization`' containment reference.

  Parameters:
    `value` - the new value of the 'Provider Organization' containment reference.
  See Also:
    `getProviderOrganization()`

### getClassCode

    java.lang.Object getClassCode()

  Returns the value of the 'Class Code' attribute. The default value is `"PAT"`.

  If the meaning of the 'Class Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `isSetClassCode()`, `unsetClassCode()`, `setClassCode(Object)`, `CDAR2Package.getPOCDMT000040PatientRole_ClassCode()`

### setClassCode

    void setClassCode(java.lang.Object value)

  Sets the value of the '`Class Code`' attribute.

  Parameters:
    `value` - the new value of the 'Class Code' attribute.
  See Also:
    `isSetClassCode()`, `unsetClassCode()`, `getClassCode()`

### unsetClassCode

    void unsetClassCode()

  Unsets the value of the '`Class Code`' attribute.

  See Also:
    `isSetClassCode()`, `getClassCode()`, `setClassCode(Object)`

### isSetClassCode

    boolean isSetClassCode()

  Returns whether the value of the '`Class Code`' attribute is set.

  Returns:
    whether the value of the 'Class Code' attribute is set.
  See Also:
    `unsetClassCode()`, `getClassCode()`, `setClassCode(Object)`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040PatientRole_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD